

[//]: # (CLASS:Intrinio::Company)

[//]: # (KIND:object)

### Intrinio::Company

#### Properties

[//]: # (START_DEFINITION)

Name | Type | Description
------------ | ------------- | -------------
**id** | String | The Intrinio ID of the company &nbsp;
**ticker** | String | The stock market ticker symbol associated with the company&#39;s common stock securities &nbsp;
**name** | String | The company&#39;s common name &nbsp;
**lei** | String | The Legal Entity Identifier (LEI) assigned to the company &nbsp;
**legal_name** | String | The company&#39;s official legal name &nbsp;
**stock_exchange** | String | The Stock Exchange where the company&#39;s common stock is primarily traded &nbsp;
**sic** | String | The Standard Industrial Classification (SIC) determined by the company and filed with the SEC &nbsp;
**short_description** | String | A one or two sentence description of the company&#39;s operations &nbsp;
**long_description** | String | A one paragraph description of the company&#39;s operations and other corporate actions &nbsp;
**ceo** | String | The Chief Executive Officer of the company &nbsp;
**company_url** | String | The URL of the company&#39;s primary corporate website or primary internet property &nbsp;
**business_address** | String | The company&#39;s business address &nbsp;
**mailing_address** | String | The mailing address reported by the company &nbsp;
**business_phone_no** | String | The phone number reported by the company &nbsp;
**hq_address1** | String | The company&#39;s headquarters address - line 1 &nbsp;
**hq_address2** | String | The company&#39;s headquarters address - line 2 &nbsp;
**hq_address_city** | String | The company&#39;s headquarters city &nbsp;
**hq_address_postal_code** | String | The company&#39;s headquarters postal code &nbsp;
**entity_legal_form** | String | The company&#39;s legal organization form &nbsp;
**cik** | String | The Central Index Key (CIK) assigned to the company by the SEC as a unique identifier, used in SEC filings &nbsp;
**latest_filing_date** | Date | The date of the company&#39;s last filing with the SEC &nbsp;
**hq_state** | String | The state (US &amp; Canada Only) where the company headquarters are located &nbsp;
**hq_country** | String | The country where the company headquarters are located &nbsp;
**inc_state** | String | The state (US &amp; Canada Only) where the company is incorporated &nbsp;
**inc_country** | String | The country where the company is incorporated &nbsp;
**employees** | Integer | The number of employees working for the company &nbsp;
**entity_status** | String |  &nbsp;
**sector** | String | The company&#39;s operating sector &nbsp;
**industry_category** | String | The company&#39;s operating industry category &nbsp;
**industry_group** | String | The company&#39;s operating industry group &nbsp;
**template** | String | The financial statement template used by Intrinio to standardize the as reported data &nbsp;
**standardized_active** | BOOLEAN | If true, the company has standardized and as reported fundamental data via the Intrinio API; if false, the company has as-reported data only &nbsp;
**first_fundamental_date** | Date | The period end date of the company&#39;s first reported fundamental &nbsp;
**last_fundamental_date** | Date | The period end date of the company&#39;s last reported fundamental &nbsp;
**first_stock_price_date** | Date | The date of the company&#39;s first stock price, based on the company&#39;s primary security, which is typically traded on US exchages &nbsp;
**last_stock_price_date** | Date | The date of the company&#39;s last stock price, based on the company&#39;s primary security, which is typically traded on US exchages &nbsp;

[//]: # (END_DEFINITION)



