=begin
#Intrinio API

#Welcome to the Intrinio API! Through our Financial Data Marketplace, we offer a wide selection of financial data feed APIs sourced by our own proprietary processes as well as from many data vendors. For a complete API request / response reference please view the [Intrinio API documentation](https://docs.intrinio.com/documentation/api_v2). If you need additional help in using the API, please visit the [Intrinio website](https://intrinio.com) and click on the chat icon in the lower right corner.

OpenAPI spec version: 2.25.6

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: unset

=end

require 'spec_helper'
require 'json'

# Unit tests for Intrinio::ETFsApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'ETFsApi' do
  before do
    # run before each test
    @instance = Intrinio::ETFsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ETFsApi' do
    it 'should create an instance of ETFsApi' do
      expect(@instance).to be_instance_of(Intrinio::ETFsApi)
    end
  end

  # unit tests for get_all_etfs
  # All ETFs
  # Returns a list of Exchange Traded Funds (ETFs) sourced from FirstBridge
  # @param [Hash] opts the optional parameters
  # @option opts [String] :exchange 
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseETFs]
  describe 'get_all_etfs test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_etf
  # Lookup ETF
  # Returns the Exchange Traded Fund (ETF) with the given identifier
  # @param identifier An ETF identifier (Ticker, Figi Ticker, ISIN, RIC, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @return [ETF]
  describe 'get_etf test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_etf_analytics
  # ETF Analytics
  # Returns analytics for the Exchange Traded Fund (ETF) including volume, market cap, 52 week high, and 52 week low
  # @param identifier An ETF identifier (Ticker, Figi Ticker, ISIN, RIC, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @return [ETFAnalytics]
  describe 'get_etf_analytics test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_etf_holdings
  # ETF Holdings
  # Returns the holdings sorted by weight descending and the Exchange Traded Fund (ETF) summary
  # @param identifier An ETF identifier (Ticker, Figi Ticker, ISIN, RIC, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseETFHoldings]
  describe 'get_etf_holdings test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_etf_stats
  # Exchange Traded Fund (ETF) stats
  # Returns daily stats for the Exchange Traded Fund (ETF) including net asset value, beta vs spy, returns, and volatility
  # @param identifier An ETF identifier (Ticker, Figi Ticker, ISIN, RIC, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @return [ETFStats]
  describe 'get_etf_stats test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for search_etfs
  # Search ETFs
  # Searches for Exchange Traded Funds (ETFs) matching the text &#x60;query&#x60;
  # @param query 
  # @param [Hash] opts the optional parameters
  # @return [ApiResponseETFs]
  describe 'search_etfs test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
