=begin
#Intrinio API

#Welcome to the Intrinio API! Through our Financial Data Marketplace, we offer a wide selection of financial data feed APIs sourced by our own proprietary processes as well as from many data vendors. For a complete API request / response reference please view the [Intrinio API documentation](https://docs.intrinio.com/documentation/api_v2). If you need additional help in using the API, please visit the [Intrinio website](https://intrinio.com) and click on the chat icon in the lower right corner.

OpenAPI spec version: 2.25.6

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: unset

=end

require 'spec_helper'
require 'json'

# Unit tests for Intrinio::SecurityApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'SecurityApi' do
  before do
    # run before each test
    @instance = Intrinio::SecurityApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of SecurityApi' do
    it 'should create an instance of SecurityApi' do
      expect(@instance).to be_instance_of(Intrinio::SecurityApi)
    end
  end

  # unit tests for get_all_securities
  # All Securities
  # Returns all Securities to which you have access. When parameters are specified, returns matching Securities.
  # @param [Hash] opts the optional parameters
  # @option opts [BOOLEAN] :active When true, return securities that are active. When false, return securities that are not active. A security is considered active if it has traded or has had a corporate action in the past 30 days, and has not been merged into another security (such as due to ticker changes or corporate restructurings).
  # @option opts [BOOLEAN] :delisted When true, return securities that have been delisted from their exchange. Note that there may be a newer security for the same company that has been relisted on a differente exchange. When false, return securities that have not been delisted.
  # @option opts [String] :code Return securities classified with the given code (&lt;a href&#x3D;\&quot;https://docs.intrinio.com/documentation/security_codes\&quot; target&#x3D;\&quot;_blank\&quot;&gt;reference&lt;/a&gt;).
  # @option opts [String] :currency Return securities traded in the given 3-digit ISO 4217 currency code (&lt;a href&#x3D;\&quot;https://en.wikipedia.org/wiki/ISO_4217\&quot; target&#x3D;\&quot;_blank\&quot;&gt;reference&lt;/a&gt;).
  # @option opts [String] :ticker Return securities traded with the given ticker. Note that securities across the world (and through time) may trade with the same ticker but represent different companies. Use this in conjuction with other parameters for more specificity.
  # @option opts [String] :name Return securities with the given text in their name (not case sensitive).
  # @option opts [String] :composite_mic Return securities classified under the composite exchange with the given Market Identification Code (MIC). A composite exchange may or may not be a real exchange.  For example, the USCOMP exchange (our only composite exchange to date) is a combination of exchanges with the following MICs: ARCX, XASE, XPOR, FINR, XCIS, XNAS, XNYS, BATS.  This composite grouping is done for user convenience.  At this time, all US securities are classified under the composite exchange with MIC USCOMP.  To query for specific US exchanges, use the exchange_mic parameter below. 
  # @option opts [String] :exchange_mic The MIC code of the exchange where the security is actually traded.
  # @option opts [Date] :stock_prices_after Return securities with end-of-day stock prices on or after this date.
  # @option opts [Date] :stock_prices_before Return securities with end-of-day stock prices on or before this date.
  # @option opts [String] :cik Return securities belonging to the company with the given Central Index Key (CIK).
  # @option opts [String] :figi Return securities with the given Exchange Level FIGI (&lt;a href&#x3D;\&quot;https://www.openfigi.com/about\&quot; target&#x3D;\&quot;_blank\&quot;&gt;reference&lt;/a&gt;).
  # @option opts [String] :composite_figi Return securities with the given Country Composite FIGI (&lt;a href&#x3D;\&quot;https://www.openfigi.com/about\&quot; target&#x3D;\&quot;_blank\&quot;&gt;reference&lt;/a&gt;).
  # @option opts [String] :share_class_figi Return securities with the given Global Share Class FIGI (&lt;a href&#x3D;\&quot;https://www.openfigi.com/about\&quot; target&#x3D;\&quot;_blank\&quot;&gt;reference&lt;/a&gt;).
  # @option opts [String] :figi_unique_id Return securities with the given FIGI Unique ID (&lt;a href&#x3D;\&quot;https://www.openfigi.com/about\&quot; target&#x3D;\&quot;_blank\&quot;&gt;reference&lt;/a&gt;).
  # @option opts [BOOLEAN] :include_non_figi When true, include securities that do not have a FIGI. By default, this is false. If this parameter is not specified, only securities with a FIGI are returned.
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [BOOLEAN] :primary_listing If true, the Security is the primary issue for the company, otherwise it is a secondary issue on a secondary stock exchange.  Returns both if omitted.
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurities]
  describe 'get_all_securities test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_by_id
  # Lookup Security
  # Returns the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @return [Security]
  describe 'get_security_by_id test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_data_point_number
  # Data Point (Number) for Security
  # Returns a numeric value for the given &#x60;tag&#x60; for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param tag An Intrinio data tag ID or code (&lt;a href&#x3D;&#39;https://data.intrinio.com/data-tags&#39;&gt;reference&lt;/a&gt;)
  # @param [Hash] opts the optional parameters
  # @return [Float]
  describe 'get_security_data_point_number test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_data_point_text
  # Data Point (Text) for Security
  # Returns a text value for the given &#x60;tag&#x60; for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param tag An Intrinio data tag ID or code-name
  # @param [Hash] opts the optional parameters
  # @return [String]
  describe 'get_security_data_point_text test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_historical_data
  # Historical Data for Security
  # Returns historical values for the given &#x60;tag&#x60; and the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param tag An Intrinio data tag ID or code (&lt;a href&#x3D;&#39;https://data.intrinio.com/data-tags&#39;&gt;reference&lt;/a&gt;)
  # @param [Hash] opts the optional parameters
  # @option opts [String] :frequency Return historical data in the given frequency
  # @option opts [String] :type Filter by type, when applicable
  # @option opts [Date] :start_date Get historical data on or after this date
  # @option opts [Date] :end_date Get historical date on or before this date
  # @option opts [String] :sort_order Sort by date &#x60;asc&#x60; or &#x60;desc&#x60;
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityHistoricalData]
  describe 'get_security_historical_data test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_insider_ownership
  # Institutional Ownership by Security
  # Returns a list of all institutional owners of a given security.
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @return [ApiResponseSecurityInstitutionalOwnership]
  describe 'get_security_insider_ownership test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_interval_prices
  # Interval Stock Prices for Security
  # Return Open, High, Low, Close, and Volume for a particular interval for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [String] :source Return intervals from the specified data source
  # @option opts [Date] :start_date Return intervals starting at the specified date
  # @option opts [String] :start_time Return intervals starting at the specified time on the &#x60;start_date&#x60; (24-hour in &#39;hh:mm&#39; format, UTC timezone)
  # @option opts [Date] :end_date Return intervals stopping at the specified date
  # @option opts [String] :end_time Return intervals stopping at the specified time on the &#x60;end_date&#x60; (24-hour in &#39;hh:mm&#39; format, UTC timezone)
  # @option opts [String] :timezone Returns trading times in this timezone
  # @option opts [String] :interval_size The interval for which to return stock prices
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityIntervalPrices]
  describe 'get_security_interval_prices test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_intraday_prices
  # Intraday Stock Prices for Security
  # Return intraday stock prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [String] :source Return intraday prices from the specified data source
  # @option opts [Date] :start_date Return intraday prices starting at the specified date
  # @option opts [String] :start_time Return intraday prices starting at the specified time on the &#x60;start_date&#x60; (24-hour in &#39;hh:mm&#39; format, UTC timezone)
  # @option opts [Date] :end_date Return intraday prices stopping at the specified date
  # @option opts [String] :end_time Return intraday prices stopping at the specified time on the &#x60;end_date&#x60; (24-hour in &#39;hh:mm&#39; format, UTC timezone)
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityIntradayPrices]
  describe 'get_security_intraday_prices test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_latest_dividend_record
  # Latest Dividend Record for Security
  # Returns the latest available dividend information for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @return [DividendRecord]
  describe 'get_security_latest_dividend_record test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_latest_earnings_record
  # Latest Earnings Record for Security
  # Returns latest available earnings information for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @return [EarningsRecord]
  describe 'get_security_latest_earnings_record test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_adi
  # Accumulation/Distribution Index
  # Returns the Accumulation/Distribution Index values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityAccumulationDistributionIndex]
  describe 'get_security_price_technicals_adi test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_adtv
  # Average Daily Trading Volume
  # Returns the Average Daily Trading Volume values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :period The number of observations, per period, to calculate Average Daily Trading Volume
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityAverageDailyTradingVolume]
  describe 'get_security_price_technicals_adtv test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_adx
  # Average Directional Index
  # Returns the Average Directional Index values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :period The number of observations, per period, to calculate Average Directional Index
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityAverageDirectionalIndex]
  describe 'get_security_price_technicals_adx test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_ao
  # Awesome Oscillator
  # Returns the Awesome Oscillator values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :short_period The number of observations, per period, to calculate short period Simple Moving Average of the Awesome Oscillator
  # @option opts [Integer] :long_period The number of observations, per period, to calculate long period Simple Moving Average of the Awesome Oscillator
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityAwesomeOscillator]
  describe 'get_security_price_technicals_ao test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_atr
  # Average True Range
  # Returns the Average True Range values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :period The number of observations, per period, to calculate Average True Range
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityAverageTrueRange]
  describe 'get_security_price_technicals_atr test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_bb
  # Bollinger Bands
  # Returns the Bollinger Bands values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :period The number of observations, per period, to calculate Bollinger Bands
  # @option opts [Float] :standard_deviations The number of standard deviations to calculate the upper and lower bands of the Bollinger Bands
  # @option opts [String] :price_key The Stock Price field to use when calculating Bollinger Bands
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityBollingerBands]
  describe 'get_security_price_technicals_bb test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_cci
  # Commodity Channel Index
  # Returns the Commodity Channel Index values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :period The number of observations, per period, to calculate Commodity Channel Index
  # @option opts [Float] :constant The number of observations, per period, to calculate Commodity Channel Index
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityCommodityChannelIndex]
  describe 'get_security_price_technicals_cci test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_cmf
  # Chaikin Money Flow
  # Returns the Chaikin Money Flow values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :period The number of observations, per period, to calculate Chaikin Money Flow
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityChaikinMoneyFlow]
  describe 'get_security_price_technicals_cmf test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_dc
  # Donchian Channel
  # Returns the Donchian Channel values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :period The number of observations, per period, to calculate Donchian Channel
  # @option opts [String] :price_key The Stock Price field to use when calculating Donchian Channel
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityDonchianChannel]
  describe 'get_security_price_technicals_dc test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_dpo
  # Detrended Price Oscillator
  # Returns the Detrended Price Oscillator values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :period The number of observations, per period, to calculate Detrended Price Oscillator
  # @option opts [String] :price_key The Stock Price field to use when calculating Detrended Price Oscillator
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityDetrendedPriceOscillator]
  describe 'get_security_price_technicals_dpo test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_eom
  # Ease of Movement
  # Returns the Ease of Movement values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :period The number of observations, per period, to calculate Ease of Movement
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityEaseOfMovement]
  describe 'get_security_price_technicals_eom test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_fi
  # Force Index
  # Returns the Force Index values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityForceIndex]
  describe 'get_security_price_technicals_fi test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_ichimoku
  # Ichimoku Kinko Hyo
  # Returns the Ichimoku Kinko Hyo values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :low_period The number of observations, per period, to calculate Tenkan Sen (Conversion Line) of Ichimoku Kinko Hyo
  # @option opts [Integer] :medium_period The number of observations, per period, to calculate Kijun Sen (Base Line), Senkou Span A (Leading Span A), and Chikou Span (Lagging Span) of Ichimoku Kinko Hyo
  # @option opts [Integer] :high_period The number of observations, per period, to calculate Senkou Span B (Leading Span B) of Ichimoku Kinko Hyo
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityIchimokuKinkoHyo]
  describe 'get_security_price_technicals_ichimoku test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_kc
  # Keltner Channel
  # Returns the Keltner Channel values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :period The number of observations, per period, to calculate Kelter Channel
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityKeltnerChannel]
  describe 'get_security_price_technicals_kc test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_kst
  # Know Sure Thing
  # Returns the Know Sure Thing values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :roc1 The number of observations, per period, to calculate the rate-of-change for RCMA1
  # @option opts [Integer] :roc2 The number of observations, per period, to calculate the rate-of-change for RCMA2
  # @option opts [Integer] :roc3 The number of observations, per period, to calculate the rate-of-change for RCMA3
  # @option opts [Integer] :roc4 The number of observations, per period, to calculate the rate-of-change for RCMA4
  # @option opts [Integer] :sma1 The number of observations, per period, to calculate the Simple Moving Average of the rate-of-change for RCMA1
  # @option opts [Integer] :sma2 The number of observations, per period, to calculate the Simple Moving Average of the rate-of-change for RCMA2
  # @option opts [Integer] :sma3 The number of observations, per period, to calculate the Simple Moving Average of the rate-of-change for RCMA3
  # @option opts [Integer] :sma4 The number of observations, per period, to calculate the Simple Moving Average of the rate-of-change for RCMA4
  # @option opts [String] :price_key The Stock Price field to use when calculating Know Sure Thing
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityKnowSureThing]
  describe 'get_security_price_technicals_kst test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_macd
  # Moving Average Convergence Divergence
  # Returns the Moving Average Convergence Divergence values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :fast_period The number of observations, per period, to calculate the fast moving Exponential Moving Average for Moving Average Convergence Divergence
  # @option opts [Integer] :slow_period The number of observations, per period, to calculate the slow moving Exponential Moving Average for Moving Average Convergence Divergence
  # @option opts [Integer] :signal_period The number of observations, per period, to calculate the signal line for Moving Average Convergence Divergence
  # @option opts [String] :price_key The Stock Price field to use when calculating Moving Average Convergence Divergence
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityMovingAverageConvergenceDivergence]
  describe 'get_security_price_technicals_macd test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_mfi
  # Money Flow Index
  # Returns the Money Flow Index values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :period The number of observations, per period, to calculate Money Flow Index
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityMoneyFlowIndex]
  describe 'get_security_price_technicals_mfi test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_mi
  # Mass Index
  # Returns the Mass Index values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :ema_period The number of observations, per period, to calculate the single Exponential Moving Average and the Double Exponential Moving Average for Mass Index
  # @option opts [Integer] :sum_period The number of observations, per period, to calculate the sum of the Exponetinal Moving Average Ratios for Mass Index
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityMassIndex]
  describe 'get_security_price_technicals_mi test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_nvi
  # Negative Volume Index
  # Returns the Negative Volume Index values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityNegativeVolumeIndex]
  describe 'get_security_price_technicals_nvi test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_obv
  # On-balance Volume
  # Returns the On-balance Volume values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityOnBalanceVolume]
  describe 'get_security_price_technicals_obv test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_obv_mean
  # On-balance Volume Mean
  # Returns the On-balance Volume Mean values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :period The number of observations, per period, to calculate On-balance Volume Mean
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityOnBalanceVolumeMean]
  describe 'get_security_price_technicals_obv_mean test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_rsi
  # Relative Strength Index
  # Returns the Relative Strength Index values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :period The number of observations, per period, to calculate Relative Strength Index
  # @option opts [String] :price_key The Stock Price field to use when calculating Relative Strength Index
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityRelativeStrengthIndex]
  describe 'get_security_price_technicals_rsi test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_sma
  # Simple Moving Average
  # Returns the Simple Moving Average values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :period The number of observations, per period, to calculate Simple Moving Average
  # @option opts [String] :price_key The Stock Price field to use when calculating Simple Moving Average
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecuritySimpleMovingAverage]
  describe 'get_security_price_technicals_sma test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_sr
  # Stochastic Oscillator
  # Returns the Stochastic Oscillator values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :period The number of observations, per period, to calculate %K of Stochastic Oscillator
  # @option opts [Integer] :signal_period The number of observations, per period, to calculate the %D (the Simple Moving Average of %K) as a signal line for Stochastic Oscillator
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityStochasticOscillator]
  describe 'get_security_price_technicals_sr test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_trix
  # Triple Exponential Average
  # Returns the Simple Moving Average values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :period The number of observations, per period, to calculate Exponential Moving Average for Triple Exponential Average
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityTripleExponentialAverage]
  describe 'get_security_price_technicals_trix test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_tsi
  # True Strength Index
  # Returns the True Strength Index values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :low_period The number of observations, per period, to calculate low period Exponential Moving Average for smoothing in True Strength Index
  # @option opts [Integer] :high_period The number of observations, per period, to calculate high period Exponential Moving Average for smoothing in True Strength Index
  # @option opts [String] :price_key The Stock Price field to use when calculating True Strength Index
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityTrueStrengthIndex]
  describe 'get_security_price_technicals_tsi test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_uo
  # Ultimate Oscillator
  # Returns the Ultimate Oscillator values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :short_period The number of observations, per period, to calculate the short period for Ultimate Oscillator
  # @option opts [Integer] :medium_period The number of observations, per period, to calculate the medium period for Ultimate Oscillator
  # @option opts [Integer] :long_period The number of observations, per period, to calculate the long period for Ultimate Oscillator
  # @option opts [Float] :short_weight The weight of short Buying Pressure average for Ultimate Oscillator
  # @option opts [Float] :medium_weight The weight of medium Buying Pressure average for Ultimate Oscillator
  # @option opts [Float] :long_weight The weight of long Buying Pressure average for Ultimate Oscillator
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityUltimateOscillator]
  describe 'get_security_price_technicals_uo test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_vi
  # Vortex Indicator
  # Returns the Vortex Indicator values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :period The number of observations, per period, to calculate Vortex Indicator
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityVortexIndicator]
  describe 'get_security_price_technicals_vi test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_vpt
  # Volume-price Trend
  # Returns the Volume-price Trend values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityVolumePriceTrend]
  describe 'get_security_price_technicals_vpt test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_vwap
  # Volume Weighted Average Price
  # Returns the Volume Weighted Average Price values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityVolumeWeightedAveragePrice]
  describe 'get_security_price_technicals_vwap test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_price_technicals_wr
  # Williams %R
  # Returns the Williams %R values of Stock Prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :period The number of observations, per period, to look-back when calculating Williams %R
  # @option opts [String] :start_date Return technical indicator values on or after the date
  # @option opts [String] :end_date Return technical indicator values on or before the date
  # @option opts [Float] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityWilliamsR]
  describe 'get_security_price_technicals_wr test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_realtime_price
  # Realtime Stock Price for Security
  # Return the realtime stock price for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [String] :source Return the realtime price from the specified data source. If no source is specified, the best source available is used.
  # @return [RealtimeStockPrice]
  describe 'get_security_realtime_price test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_stock_price_adjustments
  # Stock Price Adjustments by Security
  # Returns stock price adjustments for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Date] :start_date Return price adjustments on or after the date
  # @option opts [Date] :end_date Return price adjustments on or before the date
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityStockPriceAdjustments]
  describe 'get_security_stock_price_adjustments test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_stock_prices
  # Stock Prices by Security
  # Return end-of-day stock prices for the Security with the given &#x60;identifier&#x60;
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Date] :start_date Return prices on or after the date
  # @option opts [Date] :end_date Return prices on or before the date
  # @option opts [String] :frequency Return stock prices in the given frequency
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityStockPrices]
  describe 'get_security_stock_prices test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_zacks_analyst_ratings
  # Zacks Analyst Ratings for Security
  # Returns buy, sell, and hold recommendations from analysts at brokerages for the Security with the given &#x60;identifier&#x60;. Zack’s storied research team aggregates and validates the ratings from professional analysts.
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [String] :start_date Limit ratings to those on or after this date
  # @option opts [String] :end_date Limit ratings to those on or before this date
  # @option opts [Float] :mean_greater Return only records with a mean (average) higher than this value
  # @option opts [Float] :mean_less Return only records with a mean (average) lower than this value
  # @option opts [Integer] :strong_buys_greater Return only records with more than this many Strong Buy recommendations
  # @option opts [Integer] :strong_buys_less Return only records with fewer than this many Strong Buy recommendations
  # @option opts [Integer] :buys_greater Return only records with more than this many Buy recommendations
  # @option opts [Integer] :buys_less Return only records with fewer than this many Buy recommendations
  # @option opts [Integer] :holds_greater Return only records with more than this many Hold recommendations
  # @option opts [Integer] :holds_less Return only records with fewer than this many Hold recommendations
  # @option opts [Integer] :sells_greater Return only records with more than this many Sell recommendations
  # @option opts [Integer] :sells_less Return only records with fewer than this many Sell recommendations
  # @option opts [Integer] :strong_sells_greater Return only records with more than this many Strong Sell recommendations
  # @option opts [Integer] :strong_sells_less Return only records with fewer than this many Strong Sell recommendations
  # @option opts [Integer] :total_greater Return only records with more than this many recommendations, regardless of type
  # @option opts [Integer] :total_less Return only records with fewer than this many recommendations, regardless of type
  # @option opts [Integer] :page_size The number of results to return
  # @return [ApiResponseSecurityZacksAnalystRatings]
  describe 'get_security_zacks_analyst_ratings test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_zacks_analyst_ratings_snapshot
  # Zacks Analyst Ratings Snapshot
  # Returns a snapshot of ratings data compared with previous timeframes for the Security with the given &#x60;identifier&#x60;. Also returns mean percentiles for comparing one security to the universe of securities covered by Zacks analyst ratings, at a specific point in time.
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [String] :date Lookup a historical snapshot on the given date
  # @return [ApiResponseSecurityZacksAnalystRatingsSnapshot]
  describe 'get_security_zacks_analyst_ratings_snapshot test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_zacks_eps_surprises
  # Zacks EPS Surprises for Security
  # Return Zacks EPS surprises for the Security with the given &#x60;identifier&#x60;.
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityZacksEPSSurprises]
  describe 'get_security_zacks_eps_surprises test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_security_zacks_sales_surprises
  # Zacks Sales Surprises for Security
  # Return Zacks sales surprises for the Security with the given &#x60;identifier&#x60;.
  # @param identifier A Security identifier (Ticker, FIGI, ISIN, CUSIP, Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page_size The number of results to return
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseSecurityZacksSalesSurprises]
  describe 'get_security_zacks_sales_surprises test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for screen_securities
  # Screen Securities
  # Screen Securities using complex logic. Use POST only. See &lt;a href&#x3D;\&quot;https://docs.intrinio.com/documentation/screener_v2\&quot; target&#x3D;\&quot;_blank\&quot;&gt;screener documentation&lt;/a&gt; for details on how to construct conditions.
  # @param [Hash] opts the optional parameters
  # @option opts [SecurityScreenGroup] :logic The logic to screen with, consisting of operators, clauses, and nested groups. &lt;/br&gt; See &lt;a href&#x3D;\&quot;https://docs.intrinio.com/documentation/screener_v2\&quot; target&#x3D;\&quot;_blank\&quot;&gt;screener documentation&lt;/a&gt; for details on how to construct conditions.
  # @option opts [String] :order_column Results returned sorted by this column
  # @option opts [String] :order_direction Sort order to use with the order_column
  # @option opts [BOOLEAN] :primary_only Return only primary securities
  # @option opts [Integer] :page_size The number of results to return. Maximum for this endpoint is 50000.
  # @return [Array<SecurityScreenResult>]
  describe 'screen_securities test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for search_securities
  # Search Securities
  # Searches for Securities matching the text &#x60;query&#x60;
  # @param query 
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page_size The number of results to return
  # @return [ApiResponseSecuritiesSearch]
  describe 'search_securities test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
